org.apache.xerces.impl.dv

## Interface DatatypeValidator

- All Known Implementing Classes:
    ENTITYDatatypeValidator, IDDatatypeValidator, IDREFDatatypeValidator, ListDatatypeValidator, NMTOKENDatatypeValidator, NOTATIONDatatypeValidator, StringDatatypeValidator, XML11IDDatatypeValidator, XML11IDREFDatatypeValidator, XML11NMTOKENDatatypeValidator

      public interface DatatypeValidator

  The interface that a DTD datatype must implement. The implementation of this interface must be thread-safe.
  Version:
    $Id: DatatypeValidator.java 699892 2008-09-28 21:08:27Z mrglavas $
  Author:
    Sandy Gao, IBM

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(java.lang.String content, ValidationContext context)` validate a given string against this DV

- - ### Method Detail

    - #### validate

          void validate(java.lang.String content,
                        ValidationContext context)
                 throws InvalidDatatypeValueException

      validate a given string against this DV
      Parameters:
        `content` - the string value that needs to be validated
        `context` - the validation context
      Throws:
        `InvalidDatatypeValueException`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.